# ACE_Less_Than< ACE_CString > Class Template Reference

Function object for determining whether the first const string is less than the second const string. More...

`#include <Functor_String.h>`

List of all members.

## Public Member Functions

int | operator() (const ACE_CString &lhs, const ACE_CString &rhs) const
| Simply calls ACE_OS::strcmp.

## Detailed Description

### template<>
class ACE_Less_Than< ACE_CString >

Function object for determining whether the first const string is less than the second const string.

## Member Function Documentation

ACE_INLINE int ACE_Less_Than< ACE_CString >::operator() | ( | const ACE_CString & | lhs,
|  | const ACE_CString & | rhs
| ) | const

| Simply calls ACE_OS::strcmp.

The documentation for this class was generated from the following files:

- Functor_String.h
- Functor_String.inl